"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __name = (target, value) => __defProp(target, "name", { value, configurable: true });
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/box.tsx
var box_exports = {};
__export(box_exports, {
  CBox: () => CBox,
  CCircle: () => CCircle,
  CSquare: () => CSquare
});
module.exports = __toCommonJS(box_exports);
var import_vue = require("vue");
var import_vue2 = require("vue");
var import_vue_system = require("@chakra-ui/vue-system");
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !(0, import_vue.isVNode)(s);
}
__name(_isSlot, "_isSlot");
var CBox = (0, import_vue2.defineComponent)({
  name: "CBox",
  props: {
    as: {
      type: [String, Object],
      default: "div"
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    return () => (0, import_vue.createVNode)(import_vue_system.chakra.div, (0, import_vue.mergeProps)({
      "as": props.as,
      "__label": "box"
    }, attrs), {
      default: () => {
        var _a;
        return (_a = slots == null ? void 0 : slots.default) == null ? void 0 : _a.call(slots);
      }
    });
  }
});
var CSquare = (0, import_vue2.defineComponent)({
  name: "CSquare",
  props: {
    size: [Object, String, Number],
    centerContent: {
      type: [Boolean],
      default: true
    }
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = (0, import_vue2.computed)(() => props.centerContent ? {
      display: "flex",
      alignItems: "center",
      justifyContent: "center"
    } : {});
    return () => (0, import_vue.createVNode)(CBox, (0, import_vue.mergeProps)({
      "__label": "square",
      "boxSize": props.size,
      "__css": {
        ...styles.value,
        flexShrink: 0,
        flexGrow: 0
      }
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});
var CCircle = (0, import_vue2.defineComponent)({
  name: "CCircle",
  setup(_, {
    slots,
    attrs
  }) {
    return () => (0, import_vue.createVNode)(CSquare, (0, import_vue.mergeProps)({
      "__label": "circle",
      "borderRadius": "9999px"
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  CBox,
  CCircle,
  CSquare
});
