import {
  __name
} from "./chunk-INDHDMU3.mjs";

// src/flex.tsx
import { createVNode as _createVNode, isVNode as _isVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent, reactive } from "vue";
import { chakra } from "@chakra-ui/vue-system";
function _isSlot(s) {
  return typeof s === "function" || Object.prototype.toString.call(s) === "[object Object]" && !_isVNode(s);
}
__name(_isSlot, "_isSlot");
var CFlex = defineComponent({
  name: "CFlex",
  props: {
    as: {
      type: [Object, String],
      default: "div"
    },
    align: [Object, String, Array],
    justify: [Object, String, Array],
    wrap: [Object, String, Array],
    direction: {
      type: [Object, String, Array],
      default: "row"
    },
    basis: [Object, String, Array],
    grow: [Object, String, Array],
    shrink: [Object, String, Array],
    size: String
  },
  setup(props, {
    slots,
    attrs
  }) {
    const styles = reactive({
      display: "flex",
      flexDirection: props.direction,
      alignItems: props.align,
      justifyContent: props.justify,
      flexWrap: props.wrap,
      flexBasis: props.basis,
      flexGrow: props.grow,
      flexShrink: props.shrink,
      h: props.size,
      w: props.size
    });
    return () => _createVNode(chakra.div, _mergeProps({
      "as": props.as,
      "__label": "flex",
      "__css": styles
    }, attrs), _isSlot(slots) ? slots : {
      default: () => [slots]
    });
  }
});

export {
  CFlex
};
